/* Верхнее меню */
body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    color: #fff;
    text-align: center;
    overflow-x: hidden;
    height: 100%;
    background-color: #000;
}

h2 {
    margin-bottom: 35px;
}

/* Верхнее меню */
.navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    padding: 15px 0;
    z-index: 100;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

/* Кнопки (например, для инструкций и цен) */
.navbar a {
    color: #fff;
    text-decoration: none;
    padding: 10px 20px;
    font-size: 1em;
    transition: background-color 0.3s ease, color 0.3s ease, border-radius 0.3s ease;
}

/* При наведении */
.navbar a:hover {
    background-color: #007bff;
    color: #fff;
    border-radius: 30px;
    /* Скругляем углы */
}

/* Фоновая картинка под логотипом и текстом */
.header-background {
    width: 100%;
    height: 600px;
    background-image: url('./back.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    transition: background-position 0.1s linear;
    margin-top: 60px;
    /* чтобы не перекрывать верхнее меню */
}

.header-background::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 0;
}

header {
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.logo {
    width: 150px;
    height: auto;
    margin-bottom: 20px;
    transition: transform 0.3s ease;
}

h1 {
    font-size: 2em;
    margin-bottom: 15px;
    color: #fff;
    text-shadow: 0 4px 6px rgba(0, 123, 255, 0.5);
    line-height: 1.3;
}

p {
    font-size: 1.2em;
    margin-bottom: 30px;
    line-height: 1.5;
}

.btn {
    display: inline-block;
    background-color: #007bff;
    color: #fff;
    padding: 15px 30px;
    border-radius: 30px;
    font-size: 1.1em;
    text-decoration: none;
    transition: background-color 0.3s ease, transform 0.3s ease;
}

.btn:hover {
    background-color: #0056b3;
    transform: translateY(-5px);
}

.info-section {
    margin: 40px auto;
    max-width: 1100px;
    text-align: center;
    padding: 30px;
    border-radius: 15px;
    background: linear-gradient(135deg, rgba(0, 123, 255, 0.2), rgba(0, 123, 255, 0.5));
    position: relative;
}

.info-section .text-content {
    background-color: rgba(0, 0, 0, 0.6);
    padding: 15px;
    border-radius: 10px;
    position: relative;
    z-index: 1;
}

.instructions {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    padding: 0;
    text-align: left;
    margin-top: 40px;
    max-width: 1200px;
    margin: 0 auto;
}

@media (min-width: 600px) {
    .instructions {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 900px) {
    .instructions {
        grid-template-columns: repeat(3, 1fr);
    }
}

.instructions li {
    background: #111;
    padding: 12px;
    border-radius: 15px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: flex-start;
    font-size: 0.9em;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.instructions li.in-view {
    opacity: 1;
    transform: translateY(0);
}

.step-number {
    background-color: #007bff;
    color: #fff;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2em;
    margin-right: 15px;
}

.step-content {
    flex: 1;
    text-align: left;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.step-icon {
    font-size: 24px;
    margin-right: 15px;
}

/* Блок "Как это работает" - улучшение текста */
.text-content {
    text-align: left;
}

.text-content p {
    line-height: 1.8;
    margin-bottom: 20px;
    color: #f1f1f1;
}

.text-content strong {
    color: #00bfff;
}

.text-content ul {
    list-style-type: disc;
    margin-left: 20px;
    padding-left: 20px;
}

.text-content ul li {
    margin-bottom: 10px;
    color: #fff;
    line-height: 1.7;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.floating {
    animation: fadeIn 1s ease-out forwards;
}

/* Стили для видео внизу */
video {
    width: 100%;
    max-width: 1200px;
    margin-top: 40px;
    border-radius: 15px;
}


.reviews-list {
    list-style: none;
    padding: 0;
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.review-item {
    display: flex;
    align-items: flex-start;
    background-color: #111;
    padding: 15px;
    border-radius: 15px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
    color: #fff;
}

.avatar {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    object-fit: cover;
    margin-right: 20px;
    border: 2px solid #007bff;
}

.review-content strong {
    display: block;
    font-size: 1.1em;
    margin-bottom: 5px;
    color: #00bfff;
}

.review-content p {
    margin: 0;
    font-size: 0.95em;
}


.vypernet-stats {
    background: linear-gradient(135deg, rgba(0, 123, 255, 0.2), rgba(0, 123, 255, 0.5));
    width: 100%;
    display: flex;
    color: white;
    text-align: center;
    justify-content: center;
    padding-bottom: 50px;
    margin-top: 100px;
}


.vypernet-stats .mps-show-off {
    width: 360px;
    min-width: 300px;
    margin-right: 40px;
    margin-top: 25px;
}

.vypernet-stats .mps-show-off:last-child {
    margin-right: 0;
}

.vypernet-stats .mps-result {
    font-size: 52px;
    font-weight: 700;
}

.vypernet-stats .mps-line {
    background-color: white;
    height: 1px;
    opacity: 0.2;
    margin-top: 25px;
}

.vypernet-stats .mps-descr {
    font-size: 18px;
    line-height: 1.55;
    font-weight: 300;
}

/* page stats mobile*/
.vypernet-stats-mobile {
    visibility: hidden;
    display: none;
}

.vypernet-footer {
    height: 50px;
    width: 100%;
    background: linear-gradient(135deg, rgba(0, 123, 255, 0.2), rgba(0, 123, 255, 0.5));
    display: flex;
    justify-content: center;
    align-items: center;
}

.vypernet-checkdemo {
    height: 250px;
    width: 100%;
    background: linear-gradient(135deg, rgba(0, 123, 255, 0.2), rgba(0, 123, 255, 0.5));
    display: flex;
    justify-content: center;
    align-items: center;
}

.vypernet-checkdemo p {
    font-size: 22px;
    line-height: 1.55;
    color: white;
    font-weight: 300;
    width: 560px;
    margin: 0;
}

.vypernet-checkdemo a.ckdemo-btn {
    background-color: #ffe100;
    color: black;
    font-size: 18px;
    padding: 20px 30px;
    border-radius: 35px;
    text-decoration: none;
    margin-left: 30px;
    font-weight: 700;
}

@media screen and (max-width: 654px) {
    .vypernet-stats {
        visibility: visible;
        width: 100% !important;
        display: flex;
        flex-direction: column;
        color: white;
        text-align: center;
        justify-content: center;
        margin: 0 !important;
    }

    .vypernet-stats .mps-show-off {
        width: 100% !important;
        margin-right: 0 !important;
    }
}

.middler {
    margin-right: auto;
    margin-left: auto;
}

.mpf-wrapper details {
    #width: 73%;
    margin: 0 auto;
    border-top: 1px solid #eee;
    position: relative;
}

.mpf-wrapper details summary {
    line-height: 1.35;
    margin-top: 20px;
    margin-bottom: 16px;
    padding-left: 0;
}

summary:after {
    content: "+";
    display: block;
    transition: transform .7s;
    font-weight: 100;
    font-size: 30px;
    position: absolute;
    right: 0;
    top: 10px;
}

.mpf-wrapper details p.spoiler-p {
    font-weight: 300;
    font-size: 16px;
    line-height: 1.55;
    padding-left: 0;
}

details[open] summary~* {
    animation: sweep .7s ease-in-out;
}

details:hover {
    cursor: pointer;
}
